Bug 503708 - Snapshot --virtualoriginsize extension doesn't work and cause problems in lvm metadata
Snapshot --virtualoriginsize extension doesn't work and cause problems in lvm...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.3
All Linux
low Severity medium
: beta
: ---
Assigned To: Milan Broz
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 07:19 EDT by Milan Broz
Modified: 2013-02-28 23:07 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:57:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2009-06-02 07:19:07 EDT
Description of problem:

There is new option for creating snapshots with virtual origin (IOW empty origin, created as zero device).
(This feature was introduced by taking package from upstream.)

Unfortunately that option is broken in lvm2-2.02.46 and when user tries to use it command can cause invisible allocated volumes in metadata.

# lvcreate -s -n lvs -L 100M --virtualoriginsize 200M vg_test
  Internal error: #internal LVs (3) != #LVs (1) + #snapshots (1) + #invisible LVs 0 in VG vg_test

# lvs -a
  LV            VG      Attr   LSize   Origin Snap%  Move Log Copy%  Convert
  lvs           vg_test -wi-a- 100.00M
  [lvs_vorigin] vg_test vwi-a- 200.00M

The option is fully documented so we should fix that functionality (patches are available ustream) or remove this fucntionality from the package.

# rpm -q lvm2
lvm2-2.02.46-3.el5.x86_64
Comment 4 Milan Broz 2009-06-04 13:56:05 EDT
Patch in lvm2-2.02.46-4.el5.
Comment 7 Corey Marthaler 2009-06-18 12:12:21 EDT
The latest build of lvm2-2.02.46-8.el5 passes QA's beta regression tests, however QA doesn't have specific hardware to test this feature other than what was attempted in bug 504877.
Comment 9 errata-xmlrpc 2009-09-02 07:57:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1393.html

Note You need to log in before you can comment on or make changes to this bug.